DPGEN_BUSE(3)

NAME
DPGEN_BUSE - tristate Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_BUSE, char *modelname, long flags, long N);

DESCRIPTION

Generate a N bits two inputs tristate with named modelname.

  TERMINAL NAMES

1.  cmd : select (1 bit).

2.  i0 : input (N bits).

3.  q : output (N bits).

4.  vdd : power.

5.  vss : ground.

  BEHAVIOR
ts:BLOCK(cmd = '1') BEGIN
    q <= GUARDED i0;
END

EXAMPLE

GENLIB_MACRO(DPGEN_BUSE, "model_buse_32"
                       , F_BEHAV|F_PLACE
                       , 32
                       );
GENLIB_LOINS( "model_buse_32"
            , "instance1_buse_32"
            , "cmd"
            , "i0[31:0]"
            ,  "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)